Subject: Offline Message from Wesley Nelson: I am wanting to buy 2-3 type B replacemen
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sun, 07 Aug 2022 00:32:37 -0000

From: Wesley Nelson <[email-masked]>
Phone: 3213127714
Location: Melbourne, United States
URL: https://swagtron.com/electric-bikes
Department: SwagTron

I am wanting to buy 2-3 type B replacement batteries for my EB-5 Electronic bike. I found a 10% discount code but I would like to know if there are any 25% to 45% discount codes I can get an apply to my purchase order? Do you have any 25%-45% discount codes I can get to apply to my purchase order of 2-3 type replacement batteries for my EB-5 electronic bike? I would really appreciate any discounts codes that are 25% to 45%, my daughters really want to be able to use their E-Bikes again as a family. 

----
Zopim
https://www.zopim.com